olad(1)

NAME
olad - The Open Lighting Architecture Daemon

SYNOPSIS
olad [ options ]

DESCRIPTION
olad is the Open Lighting Architecture (OLA) daemon. It handles communication with DMX512 / RDM hardware devices and remote network hosts via various lighting control protocols.

OPTIONS

-c, --config-dir
    Path to the config directory. Defaults to ~/.ola

-d, --http-data-dir <string>
    The path to the static www content.

-f, --daemon
    Fork and run as a background process.

-h, --help
    Display the help message

-i, --interface <string>
    The interface name (e.g. eth0) or IP address of the network interface to use

-l, --log-level <int8_t>
    Set the logging level 0 .. 4. See LOGGING.

-p, --http-port <uint16_t>
    Port to run the http server on. Defaults to 9090.

-r, --rpc-port <uint16_t>
    The port to listen for RPCs on. Defaults to 9010.

-v, --version
    Print olad version information

--nohttp
    Disable the HTTP server.

--nohttp-quit
    Disable the HTTP /quit handler.

--pid-location <string>
    The directory containing the PID definitions

--syslog
    Send to syslog rather than stderr.

LOGGING
olad can either log to stderr(4) or syslog(5). Each log level includes those of higher severity.

0   No logging.

1   Fatal logging.

2   Warnings.

3   Informational logging.

4   Debug logging.

SIGNALS
Once running, the following signals control the behavior of olad:

SIGUP
    Reloads the plugins.

SIGUSR1
    Increases the logging level, eventually wrapping

SEE ALSO
ola_dmxconsole(1), ola_dmxmonitor(1),